<?php
namespace App;
/**
 * Bing Custom Search - Main Class
 * 
 * 
 * 
 * @copyright 2019 Roy Hadrianoro
 *
 * @license MIT
 *
 * @package bingcustomsearch
 * @version 1.1
 * @author  Roy Hadrianoro <roy.hadrianoro@schlix.com>
 * @link    https://www.schlix.com
 */
class BingCustomSearch extends \SCHLIX\cmsApplication_Basic {


    /**
     * Constructor
     */
    public function __construct() {
        parent::__construct("Bing Custom Search");
        /*
         * You can modify this 
        $this->has_versioning = false; // uncomment if this app wants versioning enabled
        $this->disable_frontend_runtime = false; //  Uncomment if this is a backend only app
         */
    }
        

    /**
     * View Main Page
     */
    public function viewMainPage() {
        $this->loadTemplateFile('view.main', null);
    }
            
    /**
     * View Search Result Page
     */
    public function search() {
        $query = ___h(urldecode(fget_string_noquotes_notags('bingcustomsearch_query', 255)));
        $this->loadTemplateFile('view.main', ['bingcustomsearch_query' => $query]);
    }
    
    //_______________________________________________________________________________________________________________//
    public function Run($command) {
        switch ($command['action']) {
            case 'search' : 
                $this->search();
                return RETURN_FULLPAGE;
                break;
            default: return parent::Run($command);
        }
        return true;
    }

}

?>