<?php
/**
 * Bing Custom Search - Main Admin view
 * 
 * 
 *
 * @copyright 2019 Roy Hadrianoro
 *
 * @license MIT
 *
 * @package bingcustomsearch
 * @version 1.0
 * @author  Roy Hadrianoro <roy.hadrianoro@schlix.com>
 * @link    https://www.schlix.com
 */
if (!defined('SCHLIX_VERSION')) die('No Access');

global $HTMLHeader;

$HTMLHeader->CSS($this->getURLofScript('bingcustomsearch.admin.css'));

?>
<!-- {top_menu} -->
<x-ui:schlix-data-explorer-blank data-schlix-controller="SCHLIX.CMS.BingCustomSearchAdminController" >

    <x-ui:schlix-explorer-toolbar>
        <x-ui:schlix-explorer-toolbar-menu data-position="left">                
            <!-- {config} -->
            <x-ui:schlix-explorer-menu-command data-schlix-command="config" data-schlix-app-action="editconfig" fonticon="fas fa-cog" label="<?= ___('Configuration') ?>" />
            <!-- {end config -->
            <?= \SCHLIX\cmsHooks::output('getApplicationAdminExtraToolbarMenuItem', $this) ?>
        </x-ui:schlix-explorer-toolbar-menu>
        <!-- {help-about} -->
        <x-ui:schlix-explorer-toolbar-menu data-position="right">
            <x-ui:schlix-explorer-menu-folder fonticon="fa fa-question-circle" label="<?= ___('Help') ?>">
                <x-ui:schlix-explorer-menu-command data-schlix-command="help-about" data-schlix-app-action="help-about" fonticon="fas fas-cog" label="<?= ___('About') ?>" />
            </x-ui:schlix-explorer-menu-folder>
        </x-ui:schlix-explorer-toolbar-menu>
        <!-- {end help-about} -->

    </x-ui:schlix-explorer-toolbar>

    <div class="content">
        <?php if(!$this->app->getConfig('str_custom_config_id')): ?>
            <h3>Configuration:</h3>
            <ol class="configuration-steps">
                <li>
                    <p>
                        Sign up / Login at
                        <a href="https://www.customsearch.ai" target="_blank" rel="noreferer nofollow">https://www.customsearch.ai</a>.
                    </p>
                </li>
                <li>
                    <p>
                        Click "Create new instance" and enter instance name.
                    </p>
                    <img src="<?= $this->getURLofScript('images/bing01.png') ?>" />
                </li>
                <li>
                    <p>
                        On Search Experience Configuration page, enter your site URL.
                    </p>
                    <img src="<?= $this->getURLofScript('images/bing02.png') ?>" />
                    <img src="<?= $this->getURLofScript('images/bing03.png') ?>" />
                </li>
                <li>
                    <p>
                        Go to Hosted UI tab and add Search Key, either trial or paid.
                    </p>
                    <p>
                        Optionally you can also change the other settings for Hosted UI in this page.
                    </p>
                    <img src="<?= $this->getURLofScript('images/bing04.png') ?>" />
                </li>
                <li>
                    <p>
                        Click Publish button on top right corner.
                    </p>
                </li>
                <li>
                    <p>
                        On the Production Endpoints page, open Hosted UI tab.
                    </p>
                    <p>
                        Makes sure search working by trying it on Page Preview, then copy the Custom Configuration ID. 
                    </p>
                    <img src="<?= $this->getURLofScript('images/bing05.png') ?>" />
                </li>
                <li>
                    <p>
                        Go back to this page, click
                        <a href="<?= $this->createFriendlyAdminURL('action=editconfig'); ?>" data-schlix-command="config" data-schlix-app-action="editconfig" class="schlix-command-button"><i class="fas fa-cog " aria-hidden="true"></i> Configuration</a>,
                        and paste earlier Custom Configuration ID.
                    </p>
                    <img src="<?= $this->getURLofScript('images/bing06.png') ?>" />
                </li>
                <li>
                    <p>
                        Save.
                    </p>
                </li>
            </ol>
        <?php else: ?>
            <p>Bing Custom Search configured, start using search by placing bingcustomsearch block on appropriate location.</p>
            <p>Learn more about Bing Custom Search at <a href="https://www.customsearch.ai" target="_blank" rel="noreferer nofollow">https://www.customsearch.ai</a>.</p>
        <?php endif; ?>
    </div>
    <!-- End Data Viewer -->
</x-ui:schlix-data-explorer-blank>
