<?php
/**
 * Bing Custom Search - Main page view template. Lists both categories and items with parent_id = 0 and category_id = 0 
 * 
 * 
 * 
 * @copyright 2019 Roy Hadrianoro
 *
 * @license MIT
 *
 * @package bingcustomsearch
 * @version 1.0
 * @author  Roy Hadrianoro <roy.hadrianoro@schlix.com>
 * @link    https://www.schlix.com
 */
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<div class="block-bingcustomsearch nice-search" id="<?= ___h($this->block_name) ?>">
    <form action="<?= $app_search->createFriendlyURL('action=search') ?>" method="get">
        <x-ui:input-group>
            <x-ui:textbox placeholder="<?= ___('Enter search term'); ?>" name="bingcustomsearch_query" id="<?= $this->block_name.'_query' ?>" value="<?= ___h(urldecode(fget_string_noquotes_notags('bingcustomsearch_query', 255))); ?>" />
            <x-ui:input-addon-button>
                <x-ui:button-info type="button"><i class="fa fa-search"></i></x-ui:button-info>
            </x-ui:input-addon-button>
        </x-ui:input-group>
    </form>
</div>